Package org.eclipse.m2m.atl.emftvm.impl

# Class RuleImpl.AbstractState

java.lang.Object
org.eclipse.m2m.atl.emftvm.impl.RuleImpl.AbstractState

Direct Known Subclasses:
  `RuleImpl.IsAbstractState`, `RuleImpl.IsNotAbstractState`

Enclosing class:
  `RuleImpl`

protected abstract class RuleImpl.AbstractState extends Object
Base class for code that depends on the rule's `Rule.isAbstract()` state.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractState()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`apply(StackFrame frame)`
Applies this rule for the created traces.
`abstract void`
`createTraces(StackFrame frame)`
Creates trace elements for the recorded matches for this rule.
`abstract void`
`postApply(StackFrame frame)`
Runs post-applier for this rule for the created traces.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractState

protected AbstractState()

## Method Details

### createTraces

public abstract void createTraces(StackFrame frame)
Creates trace elements for the recorded matches for this rule.

Parameters:
  `frame` - the stack frame context

### apply

public abstract void apply(StackFrame frame)
Applies this rule for the created traces.

Parameters:
  `frame` - the stack frame in which to execute the applier

### postApply

public abstract void postApply(StackFrame frame)
Runs post-applier for this rule for the created traces.

Parameters:
  `frame` - the stack frame in which to execute the post-applier